﻿/**受限资金类型 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_RESTRICTEDFUNDSTYPE') 
 CREATE TABLE T_AM_RESTRICTEDFUNDSTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FRESTRICTEDFUNDSTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);
/**受限资金类型多语言表 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_RESTRICTEDFUNDSTYPE_L') 
 CREATE TABLE T_AM_RESTRICTEDFUNDSTYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FCOMMENT VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(30) DEFAULT ' ' NOT NULL
);
/**受限资金类型引用表 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_RESTRICTEDFUNDSTY_R3') 
 CREATE TABLE T_AM_RESTRICTEDFUNDSTY_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

/**受限资金管理 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_RESTRICTEDFUNDSMANAG') 
 CREATE TABLE T_AM_RESTRICTEDFUNDSMANAG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBUSINESSDATE DATETIME,
FCOMMENT VARCHAR(50) DEFAULT ' ' NOT NULL,
FBANKACCTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FRESTRICTEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNRESTRICTEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESTRICTEDFOUNDSTYPEID BIGINT DEFAULT 0 NOT NULL,
FRESTRICTEDDATE DATETIME,
FESTIMATEDLIFTDATE DATETIME,
FACTUALLIFTDATE DATETIME,
FISAUTOLIFT CHAR(1) DEFAULT '0' NOT NULL,
FSRCBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FTHISTIMEUNBLOCKAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLIFTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_RESTRICTEDFUNDSMANAG_LK') 
 CREATE TABLE T_AM_RESTRICTEDFUNDSMANAG_LK (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_RESTRICTEDFUNDSMANAG_TC') 
 CREATE TABLE T_AM_RESTRICTEDFUNDSMANAG_TC (
FID BIGINT DEFAULT 0 NOT NULL,
FTBILLID BIGINT DEFAULT 0 NOT NULL,
FTTABLEID BIGINT DEFAULT 0 NOT NULL,
FTID BIGINT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_RESTRICTEDFUNDSMANAG_WB') 
 CREATE TABLE T_AM_RESTRICTEDFUNDSMANAG_WB (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRULEVERID BIGINT DEFAULT 0 NOT NULL,
FRULEITEMID BIGINT DEFAULT 0 NOT NULL,
FOPERATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FWRITEVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_RESTRICTEDFUNDSMANAG' AND KSQL_COL_NAME IN ('FBANKID')) 
 ALTER TABLE T_AM_RESTRICTEDFUNDSMANAG ADD (FBANKID BIGINT DEFAULT 0 NOT NULL );